unit Unit3;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, StdCtrls,
  PathFunctions, ShlObj;

type
  TForm3 = class(TForm)
    Button1: TButton;
    lvwPathes: TListView;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form3: TForm3;

implementation

{$R *.dfm}

procedure TForm3.Button1Click(Sender: TObject);
var
  item: TListItem;
begin
  lvwPathes.Clear;
  //Определение путей некоторых системных каталогов
  //..рабочий стол
  item := lvwPathes.Items.Add();
  item.Caption := 'Рабочий стол';
  item.SubItems.Insert(0, GetSpecialDir(CSIDL_DESKTOPDIRECTORY));
  //..избранное
  item := lvwPathes.Items.Add();
  item.Caption := 'Избранное';
  item.SubItems.Insert(0, GetSpecialDir(CSIDL_FAVORITES));
  //..шрифты
  item := lvwPathes.Items.Add();
  item.Caption := 'Шрифты';
  item.SubItems.Insert(0, GetSpecialDir(CSIDL_FONTS));
  //..мои документы
  item := lvwPathes.Items.Add();
  item.Caption := 'Мои документы';
  item.SubItems.Insert(0, GetSpecialDir(CSIDL_PERSONAL));
  //..последние документы
  item := lvwPathes.Items.Add();
  item.Caption := 'Последние документы';
  item.SubItems.Insert(0, GetSpecialDir(CSIDL_RECENT));
  //..история
  item := lvwPathes.Items.Add();
  item.Caption := 'История';
  item.SubItems.Insert(0, GetSpecialDir(CSIDL_HISTORY));
  //..отправить
  item := lvwPathes.Items.Add();
  item.Caption := 'Отправить';
  item.SubItems.Insert(0, GetSpecialDir(CSIDL_SENDTO));
  //..меню пуск
  item := lvwPathes.Items.Add();
  item.Caption := 'Пуск';
  item.SubItems.Insert(0, GetSpecialDir(CSIDL_STARTMENU));
  //..меню программы
  item := lvwPathes.Items.Add();
  item.Caption := 'Программы';
  item.SubItems.Insert(0, GetSpecialDir(CSIDL_PROGRAMS));
  //..меню автозагрузка
  item := lvwPathes.Items.Add();
  item.Caption := 'Автозагрузка';
  item.SubItems.Insert(0, GetSpecialDir(CSIDL_STARTUP));
  //..папка с шаблонами документов
  item := lvwPathes.Items.Add();
  item.Caption := 'Шаблоны';
  item.SubItems.Insert(0, GetSpecialDir(CSIDL_TEMPLATES));
end;

end.
